# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Dumper.pm) perl(Data/Walk.pm) perl(ExtUtils/MakeMaker.pm) perl(JSON.pm) perl(JSON/PP.pm) perl(JSON/Pointer.pm) perl(List/Util.pm) perl(Path/Tiny.pm) perl(Regexp/Common.pm) perl(Regexp/Common/Email/Address.pm) perl(Regexp/Common/URI.pm) perl(Regexp/Common/time.pm) perl(Storable.pm) perl(Test/Most.pm) perl(YAML/XS.pm)
# END SourceDeps(oneline)
%define module_name JSV-Compilator
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: Translates JSON-Schema validation rules (draft-06) into perl code
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AN/ANTONPETR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
JSV::Compilator makes validation subroutine body in perl. 
You can then use it to embed in your own validation functions.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md
%perl_vendor_privlib/J*

%changelog
* Sun Nov 05 2017 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

